System 2.0.0.0 4.0.0.0 System.Object System.Collections.IEnumerator

Enumerators provide read-only access to the data in a collection. Enumerators cannot be used to modify the underlying collection.

Initially, the enumerator is positioned before the first element in the collection. resets the enumerator to this position. At this position, calling throws an exception. Therefore, you must call to advance the enumerator to the first element of the collection before reading the value of .

This class inherits from . See the class for more information about enumerating over a collection.

Supports a simple iteration over an . This class cannot be inherited.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainElement To be added.

  does not move the position of the enumerator and consecutive calls to return the same object until either or is called.

  Gets the current element in the .

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  This method advances the enumerator to the next element in the collection. The class inherits from ; see this class for more information on using enumerators.

  Advances the enumerator to the next element in the .

  true if the enumerator was successfully advanced to the next element; false if the enumerator has passed the end of the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  An enumerator remains valid as long as the collection remains unchanged. If changes are made to the collection, such as adding, modifying or deleting elements, the enumerator is irrecoverably invalidated and the next call to or throws an .

  Sets the enumerator to its initial position, which is before the first element in the .

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  does not move the position of the enumerator and consecutive calls to return the same object until either or is called.

  Gets the current element in the .